#
# spec file for package gupnp-igd (Version 0.1.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gupnp-igd
Version:        0.1.3
Release:        9.4
Summary:        Library to handle UPnP IGD port mapping
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Url:            http://www.gupnp.org/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  libgupnp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%package -n libgupnp-igd-1_0-2
License:        LGPL v2.1 or later
Summary:        Library to handle UPnP IGD port mapping
Group:          Development/Libraries/C and C++

%description -n libgupnp-igd-1_0-2
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%package -n libgupnp-igd-devel
License:        LGPL v2.1 or later
Summary:        Library to handle UPnP IGD port mapping - Development Files
Group:          Development/Libraries/C and C++
Requires:       libgupnp-igd-1_0-2 = %{version}
Requires:       libgupnp-devel

%description -n libgupnp-igd-devel
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgupnp-igd-1_0-2 -p /sbin/ldconfig

%postun -n libgupnp-igd-1_0-2 -p /sbin/ldconfig

%files -n libgupnp-igd-1_0-2
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n libgupnp-igd-devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sat Jun 13 2009 vuntz@novell.com
- Initial package.
